Subject: [Jcardcal] Section 5.2 about "unknown" value type

From: Bert Greevenbosch <[email-masked]>
Date: Thu, 5 Sep 2013 01:25:29 +0000

Hi Barry, all,

This is to address the last of Barry's comments:

<QUOTE>
In Section 5.2, the first paragraph isn't quite right:

    Since jCard always explicitly specifies the value type, it can always
    be converted to vCard using the VALUE parameter.

But the third paragraph describes when you MUST NOT use the VALUE parameter.
Anyway, it seems to me that the first paragraph serves no purpose, and can just
be tossed. And, in fact, if you use my suggested text above for Section 3.3.1,
you really don't need Sections 5.1 or 5.2 anyway.
</QUOTE>

Chapter 5 and its sections discuss the "unknown" parameter. As no objections to were raised (thread: http://www.ietf.org/mail-archive/web/jcardcal/current/msg00329.html), it seems that there is consensus on the new text for Section 3.3.1 as follows:

<QUOTE>
vCard defines a "VALUE" property parameter (Section 5.2 of [RFC6350]). This property parameter MUST NOT be added to the parameters object. Instead, the value type is signaled through the type identifier in the third element of the array describing the property. When converting a property from vCard to jCard, the value type is determined as
follows:

    If the property has a "VALUE" parameter, that parameter's value is used as the value type.
    If the property has no "VALUE" parameter but has a default value type, the default value type is used.
    If the property has no "VALUE" parameter and has no default value type, "unknown" is used. 

Converting from jCard into vCard is done as follows:

    If the property's value type is "unknown", no "VALUE" parameter is included.
    If the property's value type is the default type for that property, no "VALUE" parameter is included.
    Otherwise, a "VALUE" parameter is included, and the value type is used as the parameter value. 

See Section 5 for information on handling unknown value types.
</QUOTE>

I think there is still value in chapter 5, as it describes the rationale behind the "default" value type, and gives clarifying examples.

How about we modify the text in section 5.2 as follows:

OLD:

   Since jCard always explicitly specifies the value type, it can always
   be converted to vCard using the VALUE parameter.

   If the value type specified in jCard matches the default value type
   in vCard, the VALUE parameter MAY be omitted.

   If the value type specified in jCard is set to "unknown", the value
   MUST be taken over in vCard without processing.  In this case, the
   VALUE parameter MUST NOT be specified.

NEW:

   In jCard the value type is always explicitly specified. It is
   converted to vCard using the vCard VALUE parameter, except in the
   following two cases:

   * If the value type specified in jCard matches the default value type
     in vCard, the VALUE parameter MAY be omitted.

   * If the value type specified in jCard is set to "unknown", the VALUE
     parameter MUST NOT be specified. The value MUST be taken over in 
     vCard without processing.

END

Feedback will be highly appreciated!

Best regards,
Bert

---

From: Simon Perreault <[email-masked]>
Date: Thu, 05 Sep 2013 10:05:48 +0200

>      vCard without processing.

I like.

Simon

---

From: Michael Angstadt <[email-masked]>
Date: Thu, 5 Sep 2013 11:16:33 -0400

I think Section 5.1 needs to stay, since it describes how a jCard property
value should be written if the property has no VALUE parameter.  Section
5.2 basically repeats what is in section 3.3.1, but is good for clarity I
think.

I'm OK with the proposed changes.

On Wed, Sep 4, 2013 at 9:25 PM, Bert Greevenbosch <
[email-masked]> wrote:

> Chapter 5 and its sections discuss the "unknown" parameter. As no
> objections to were raised (thread:
> http://www.ietf.org/mail-archive/web/jcardcal/current/msg00329.html), it
> seems that there is consensus on the new text for Section 3.3.1 as follows:
>
> <QUOTE>
> vCard defines a "VALUE" property parameter (Section 5.2 of [RFC6350]).
> This property parameter MUST NOT be added to the parameters object.
> Instead, the value type is signaled through the type identifier in the
> third element of the array describing the property. When converting a
> property from vCard to jCard, the value type is determined as
> follows:
>
> I think there is still value in chapter 5, as it describes the rationale
> behind the "default" value type, and gives clarifying examples.
>
> _______________________________________________
> jcardcal mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/jcardcal
>